<template>
    <div class="w-full h-full">
        <vimeo-player ref="player" class="w-full h-full aspect-w-video video" :options:="options"  :loop="loop" :autoplay="autoplay" :controls="controls" :video-url="url" :video-id='videoid'></vimeo-player>
    </div>
</template>

<script>
export default {
    props: {
        url: {
            type: String,
            required: true
        },
        videoid: {
            type: String,
            required: true
        },
        autoplay: {
            type: Boolean,
            default: false
        },
        loop: {
            type: Boolean,
            default: false
        },
        muted: {
            type: Boolean,
            default: false
        },
        controls: {
            type: Boolean,
        }
    },
    data() {
        return {
           options: {
               muted: this.muted
           }
        }
    },
    create() {

    },
    mounted () {


    }
}
</script>

<style>

</style>
